## ipython 0.9.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo
	@echo "Compound utility targets:"
	@echo "pdf          latex and then runs the PDF generation"
	@echo "all          html and pdf"
	@echo "dist         all, and then puts the results in dist/"

clean:
	-rm -rf build/* dist/*

pdf: latex
	cd build/latex && make all-pdf

all: html pdf

dist: clean all
	mkdir -p dist
	ln build/latex/ipython.pdf dist/
	cp -al build/html dist/
	@echo "Build finished.  Final docs are in dist/"

html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

=== IPython/testing/plugin/Makefile ===
# Set this prefix to where you want to install the plugin
PREFIX=/usr/local

NOSE0=nosetests -vs --with-doctest --doctest-tests --detailed-errors
NOSE=nosetests -vvs --with-ipdoctest --doctest-tests --doctest-extension=txt \
--detailed-errors

SRC=ipdoctest.py setup.py ../decorators.py

# Default target for clean 'make'
default: iplib

# The actual plugin installation
plugin: IPython_doctest_plugin.egg-info

# Simple targets that test one thing
simple: plugin simple.py
	$(NOSE) simple.py

dtest: plugin dtexample.py
	$(NOSE) dtexample.py

rtest: plugin test_refs.py
	$(NOSE) test_refs.py

test: plugin dtexample.py
	$(NOSE) dtexample.py test*.py test*.txt

deb: plugin dtexample.py
	$(NOSE) test_combo.txt

# IPython tests
deco:
	$(NOSE0) IPython.testing.decorators

magic: plugin
	$(NOSE) IPython.Magic

ipipe: plugin
	$(NOSE) IPython.Extensions.ipipe

iplib: plugin
	$(NOSE)  IPython.iplib

strd: plugin
	$(NOSE) IPython.strdispatch

engine: plugin
	$(NOSE) IPython.kernel

tf: plugin
	$(NOSE) IPython.config.traitlets

# All of ipython itself
ipython: plugin
	$(NOSE) IPython


# Combined targets
sr: rtest strd

base: dtest rtest test strd deco

quick: base iplib ipipe

all: base ipython

# Main plugin and cleanup
IPython_doctest_plugin.egg-info: $(SRC)
	python setup.py install --prefix=$(PREFIX)
	touch $@

clean:
	rm -rf IPython_doctest_plugin.egg-info *~ *pyc build/ dist/

## ipython 0.7.3-2.maemo2

=== debian/changelog ===
ipython (0.7.3-2.maemo2) unstable; urgency=low

  * libreadline4 added to dependency list 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 18 Mar 2007 12:46:37 +0200

ipython (0.7.3-2.maemo1) unstable; urgency=low

  * Maemo build
  * ipmaker.py: Add _Helper class (not present in site.py from python2.5) 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun,  4 Mar 2007 00:39:39 +0200

ipython (0.7.3-2) unstable; urgency=low

  * Added a new patch from svn to fix jobctrl to work properly on posix.

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 21 Dec 2006 20:13:57 +0100

ipython (0.7.3-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 18 Dec 2006 22:23:55 +0100

ipython (0.7.3~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 16 Dec 2006 02:20:13 +0100

ipython (0.7.3~beta2-1) experimental; urgency=low

  * New upstream beta release.

 -- Norbert Tretkowski <nobse@debian.org>  Fri,  8 Dec 2006 08:02:16 +0100

ipython (0.7.3~beta1-1) experimental; urgency=low

  * New upstream beta release.
  * Removed backported patch added in 0.7.2-5 to workaround bugs in python
    2.3's inspect module.

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 29 Nov 2006 12:35:22 +0100

ipython (0.7.2-6) UNRELEASED; urgency=low

  * Added XS-Vcs-Svn field.

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu, 23 Nov 2006 14:44:43 +0100

ipython (0.7.2-5) unstable; urgency=low

  * Added a new patch from svn to workaround bugs in python 2.3's inspect
    module. (closes: #374625)

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 10 Aug 2006 18:36:12 +0200

ipython (0.7.2-4) unstable; urgency=low

  * Fixed spelling error in description. (closes: #363976)
  * Ack NMU 0.7.2-3.1, thanks Matthias. (closes: #377787)

 -- Norbert Tretkowski <nobse@debian.org>  Tue,  1 Aug 2006 22:45:11 +0200

ipython (0.7.2-3.1) unstable; urgency=medium

  * NMU.
  * Convert to updated Python policy. (closes: #377787)

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2006 17:42:06 +0000

ipython (0.7.2-3ubuntu1) edgy; urgency=low

  * Synchronize with Debian unstable.
  * Convert to updated Python policy. Collapse all packages into one
    ipython package, don't handle ipython using alternatives.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jul 2006 09:47:37 +0000

ipython (0.7.2-3) unstable; urgency=low

  * Removed alternative for irunner manpage.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 17 Jun 2006 09:49:10 +0200

ipython (0.7.2-2) unstable; urgency=medium

  * Fixed conflict in irunner. (closes: #373874)
  * Added recommendation for python-pexpect. (closes: #373794)

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 16 Jun 2006 10:43:45 +0200

ipython (0.7.2-1) unstable; urgency=low

  [ Piotr Ozarowski ]
  * Added watch file.

  [ Norbert Tretkowski ]
  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Thu,  8 Jun 2006 23:36:03 +0200

ipython (0.7.1.fix1+0.7.2.rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Updated Standards-Version to 3.7.2.0, no changes required.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 27 May 2006 14:49:24 +0200

ipython (0.7.1.fix1-2) unstable; urgency=low

  * Set maintainer to Debian Python modules team and added myself to
    uploaders.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 16 Apr 2006 15:53:43 +0200

ipython (0.7.1.fix1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Removed backported patch which was added in 0.7.1-3 to catch
    KeyboardInterrupt exceptions properly, it's part of this release.
  * Fixed names of pdfs in doc-base file to shut up linda.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 14 Feb 2006 23:51:17 +0100

ipython (0.7.1-3) unstable; urgency=low

  * Added a new patch from upstream to catch KeyboardInterrupt exceptions
    properly.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 30 Jan 2006 19:42:31 +0100

ipython (0.7.1-2) unstable; urgency=low

  * Really remove alternatives on purge, thanks Lars Wirzenius for finding
    the problem. (closes: #317269)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 29 Jan 2006 23:11:28 +0100

ipython (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 24 Jan 2006 21:42:33 +0100

ipython (0.7.0-2) unstable; urgency=low

  * Fixed circular dependencies (closes: #341980)
  * Added version to dependency on ipython dummy package. (closes: #320235)
  * Removed python2.2 package, ipython now depends on python >= 2.3.
  * Bumped up standards-version, no changes needed.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 21 Jan 2006 23:27:53 +0100

ipython (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Updated 01_docdir-base.dpatch and 02_profiler-message.dpatch.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 21 Jan 2006 20:08:23 +0100

ipython (0.6.15-2) unstable; urgency=low

  * New maintainer, thanks Jack for your work.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 28 Aug 2005 19:57:09 +0200

ipython (0.6.15-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Thu,  2 Jun 2005 23:51:45 +0200

ipython (0.6.14-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 31 May 2005 22:53:25 +0200

ipython (0.6.13-1) unstable; urgency=low

  * New upstream release.
  * Removed backported patch which was added in 0.6.12-3 to fix misleading
    prompt, it's part of this release.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 15 Apr 2005 09:42:35 +0200

ipython (0.6.12-4) unstable; urgency=medium

  * Re-added python build-dependency, it got lost in 0.6.12-2.
    (closes: #301636)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 27 Mar 2005 14:28:26 +0200

ipython (0.6.12-3) unstable; urgency=low

  * Added a new patch from cvs to fix misleading prompt2. (closes: #300847)



=== debian/control ===
Source: ipython
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Norbert Tretkowski <nobse@debian.org>
Build-Depends-Indep: debhelper (>= 4), dpatch (>= 2.0.10), python2.5-dev (>= 2.5.0-1osso10)
XS-Python-Version: all
XS-Vcs-Svn: svn://svn.debian.org/python-modules/packages/ipython/trunk/
Standards-Version: 3.7.2.1

Package: ipython
Architecture: all
Depends: python2.5-dev, libreadline4
Recommends: python-numeric, python-numeric-ext, python-pexpect
Conflicts: python2.3-ipython, python2.4-ipython, ipython-common
Replaces: python2.3-ipython, python2.4-ipython, ipython-common
XB-Python-Version: all
Suggests: python-profiler
Description: enhanced interactive Python shell
 IPython is an enhanced interactive Python shell. It can be used as a
 replacement for the standard Python shell, or it can be used as a
 complete working environment for scientific computing (like Matlab or
 Mathematica) when paired with the standard Python scientific and
 numerical tools. It supports dynamic object introspections, numbered
 input/output prompts, a macro system, session logging, session
 restoring, complete system shell access, verbose and colored traceback
 reports, auto-parentheses, auto-quoting, and is embeddable in other
 Python programs.
 .
 Homepage: http://ipython.scipy.org/

=== debian/rules ===
#!/usr/bin/make -f
# ipython debian/rules file
#
# Based on sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#PYDEF := $(shell /usr/share/pycentral-data/pyversions.py -vd)
PYDEF := 2.3
#PYVERS := $(filter-out $(PYDEF), $(shell /usr/share/pycentral-data/pyversions.py -vr debian/control)) $(PYDEF)
PYVERS := 2.5

configure: configure-stamp
configure-stamp:
	dh_testdir

	set -e; \
	for v in $(PYVERS); do \
	  python$$(echo $$v | sed "s/$(PYDEF)//") setup.py config; \
	done

	touch configure-stamp


build: patch configure build

build-stamp:
	dh_testdir

	set -e; \
	for v in $(PYVERS); do \
	  python$$(echo $$v | sed "s/$(PYDEF)//") setup.py build; \
	done

	touch build-stamp

clean: clean-patched unpatch

clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	set -e; \
	for v in $(PYVERS); do \
	  python$$v setup.py clean --all; \
	done
	rm -rf build
	rm -f setupext/*.py?

	dh_clean

patch: patch-stamp

patch-stamp: 
	dpatch apply-all
	dpatch list-all > patch-stamp

unpatch:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	set -e; \
	for v in $(PYVERS); do \
	  python$$(echo $$v | sed "s/$(PYDEF)//") setup.py install --prefix $(CURDIR)/debian/ipython/usr; \
	done

	# remove documentation
	rm $(CURDIR)/debian/ipython/usr/share/doc/ipython/COPYING
	rm $(CURDIR)/debian/ipython/usr/share/doc/ipython/ChangeLog
	rm $(CURDIR)/debian/ipython/usr/share/doc/ipython/ipython.el
	rm $(CURDIR)/debian/ipython/usr/share/doc/ipython/README_Windows.txt
	rm $(CURDIR)/debian/ipython/usr/share/doc/ipython/pycon.ico

	# change permission on scripts
	chmod a-x $(CURDIR)/debian/ipython/usr/share/doc/ipython/examples/*

ifeq (0,1)
	# rename binaries
	mv $(CURDIR)/debian/python2.5-ipython/usr/bin/ipython $(CURDIR)/debian/python2.5-ipython/usr/bin/python2.5-ipython
	mv $(CURDIR)/debian/python2.5-ipython/usr/bin/pycolor $(CURDIR)/debian/python2.5-ipython/usr/bin/python2.5-pycolor
	mv $(CURDIR)/debian/python2.5-ipython/usr/bin/irunner $(CURDIR)/debian/python2.5-ipython/usr/bin/python2.5-irunner

	# rename manpages
	mv $(CURDIR)/debian/python2.5-ipython/usr/share/man/man1/ipython.1.gz $(CURDIR)/debian/python2.5-ipython/usr/share/man/man1/python2.5-ipython.1.gz
	mv $(CURDIR)/debian/python2.5-ipython/usr/share/man/man1/pycolor.1.gz $(CURDIR)/debian/python2.5-ipython/usr/share/man/man1/python2.5-pycolor.1.gz
endif

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_installchangelogs doc/ChangeLog
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman doc/ipython.1.gz doc/pycolor.1.gz
	dh_compress -Xexamples
	dh_fixperms
	#dh_pycentral
	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://ipython.scipy.org/dist/ ipython-(.*)\.tar\.gz

## ipython 0.10

=== docs/Makefile ===
--- 
+++ 
@@ -5,13 +5,14 @@
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 PAPER         =
+SRCDIR        = source
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SRCDIR)
 
-.PHONY: help clean html web pickle htmlhelp latex changes linkcheck
+.PHONY: help clean html web pickle htmlhelp latex changes linkcheck api
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -28,7 +29,7 @@
 	@echo "dist         all, and then puts the results in dist/"
 
 clean:
-	-rm -rf build/* dist/*
+	-rm -rf build/* dist/* $(SRCDIR)/api/generated
 
 pdf: latex
 	cd build/latex && make all-pdf
@@ -41,11 +42,15 @@
 	cp -al build/html dist/
 	@echo "Build finished.  Final docs are in dist/"
 
-html:
+html: api
 	mkdir -p build/html build/doctrees
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
 	@echo
 	@echo "Build finished. The HTML pages are in build/html."
+
+api:
+	python autogen_api.py
+	@echo "Build API docs finished."
 
 pickle:
 	mkdir -p build/pickle build/doctrees

=== IPython/testing/plugin/Makefile ===
--- 
+++ 
@@ -36,8 +36,8 @@
 magic: plugin
 	$(NOSE) IPython.Magic
 
-ipipe: plugin
-	$(NOSE) IPython.Extensions.ipipe
+excolors: plugin
+	$(NOSE) IPython.excolors
 
 iplib: plugin
 	$(NOSE)  IPython.iplib

## ipython 0.10-1maemo2

=== debian/changelog ===
ipython (0.10-1maemo2) unstable; urgency=low

  * fill all empty __init__.py files with # for proper installation
  * rules to build with current SDK+autobuilder
  * add icon and menu item

 -- Thomas Tanner <tanner@maemory.com>  Wed, 27 Jan 2010 00:00:00 +0100

ipython (0.10-1maemo1) unstable; urgency=low

  * Update to 0.10 (from Debian squeeze)

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Sun, 11 Oct 2009 23:47:22 -0400

ipython (0.10-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * New upstream version.

  [ Stefano Zacchiroli ]
  * debian/control: fix (build)deps on python-zope-interface, new package
    name is python-zope.interface (Closes: #543128)

  [ Piotr Ożarowski ]
  * Standards-Version bumped to 3.8.3
    - debian/README.source file added

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 07 Sep 2009 20:37:17 +0200

ipython (0.9.1-3maemo1) unstable; urgency=low

  [ Bruno dos Santos de Araujo ]
  * Update to 0.9.1 (from Debian sid)
  * Add the following patches from pymaemo:
   - 02-docdir-base.patch
   - 03-profiler-message.patch
   - 04-ipmaker-add-missed-Helper.patch

  [ Anderson Lizardo ]
  * debian/control:
    + Remove "Uploaders" field (not applicable to maemo).
    + Put the pymaemo-developers mailing list address in "Maintainer" field and
      move original value to a separate field.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Tue, 31 Mar 2009 15:01:09 -0400

ipython (0.9.1-3) unstable; urgency=low

  [ Stephan Peijnik ]
  * Fixed broken Suggest on libjs-jquery (typo, was: libjs-query).

  [ Emilio Pozuelo Monfort ]
  * debian/rules: remove chmod calls, they are not needed and are
    modifying files in pysupport's directories which may change.
    Closes: #516274.

 -- Stephan Peijnik <debian@sp.or.at>  Thu, 19 Feb 2009 07:32:37 +0100

ipython (0.9.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Stephan Peijnik <debian@sp.or.at>  Mon, 16 Feb 2009 07:55:45 +0100

ipython (0.9.1-1) experimental; urgency=low

  [ Stephan Peijnik ]
  * New upstream release (Closes: #500556).
  * Cleaned up debian/ because the upstream tarball is clean since 0.8.4-1:
    - Removed debian/uscan-dfsg-clean.sh.
    - Removed debian/README.Debian-source.
    - Updated debian/watch.
  * Removed debian/patches/05_fix_path_import.dpatch - fixed upstream.
  * Added myself to Uploaders.
  * Switched from dpatch to quilt patch system.
  * Added debian/patches/06_ipythonwx_importerror.patch.
    Provides more usable error message when trying to execute ipython-wx
    without python-wxgtk2.8 installed.
  * Updated build dependencies and recommends.
    - Added recommends: 
      + global (required by ipy_gnuglobal IPython extension)
      + python (>= 2.5) | python-ctypes
      + python-openssl
      + python-wxwidgets2.8 (needed by ipythonx and ipython-wx)
      + python-foolscap
      + python-twisted-core
      + python-zope-interface
    - Added build dependencies (Build-Depends-Indep): 
      + python-sphinx (needed for building the documentation)
      + python-pygments (needed for syntax highlighting in documentation)
      + python-foolscap
      + python-twisted-core
      + python-zope-interface
      + python-openssl
      + python (>= 2.5) | python-ctypes
      + python-nose
    - Added suggests:
      + libjs-query (needed by documentation to be searchable)
      + python-gobject
      + python-gtk2
      + python-qt3 | python-qt4
  * Added final newline to debian/manpages to get rid of a build-warning.
  * Updated debian/rules so parts of the html documentation are not compressed
    and thus rendered unusable.
  * Wrote manpages for ipcluster, ipcontroller, ipengine, ipythonx and 
    ipython-wx.
  * Fixed invalid Recommend on python-wxwidgets2.8 
    (should have been python-wxgtk2.8 in the first place).
  
  [ Serafeim Zanikolas ]
  * Remove embedded copy of jquery.js and instead depend on libjs-jquery.
  * Fix import of path in ipipe.py (Closes: #486923).

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Stephan Peijnik <debian@sp.or.at>  Mon, 29 Dec 2008 18:21:24 +0100

ipython (0.8.4-1) unstable; urgency=low

  [ Norbert Tretkowski ]
  * Remove myself from uploaders.

  [ Sandro Tosi ]
  * debian/control
    - removed Suggests on python-numeric and added for python-numpy (Closes:
      #478449)

  [ Piotr Ożarowski & Bernd Zeimetz ]
  * Replace all /usr/bin/ipythonX.Y with a shell script which detects desired
    Python version before invoking IPython. Package depends on default Python
    version only again (Closes: #476661).

  [ Bernd Zeimetz ]
  * New upstream version.
  * Dropping .dfsg. from the version, the documentation is using python-sphinx
    now, and included in the source. Also dropping debian/uscan-dfsg-clean.sh
    and updating debian/watch accordingly.
  * debian/patches:
    - dropping the following patches - applied usptream / not needed anymore.
      01_docdir-base.dpatch
      02_profiler-message.dpatch
      05_no_manual_dir.dpatch
    - updating the following patches:
      04_remove_shebang.dpatch
  * debian/rules:
    - dropping get-orig-source target, not needed anymore.

  [ Ondrej Certik ]
  * standards-version updated to 3.8.0
  * DM-Upload-Allowed: yes field added and Ondrej added to Uploaders.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 09 Jun 2008 23:13:00 +0200

ipython (0.8.2.dfsg-2) unstable; urgency=low

  * debian/rules:
    - Creating /usr/bin/ipythonX.Y wrappers for all python versions. Thanks to
      martin f. krafft (Closes: #461188).

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 17 Jan 2008 11:17:49 +0100

ipython (0.8.2.dfsg-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * New upstream version. Manually adding the source of the documentation to
    the tarball. It will be shipped by upstream with the next release.
    (Closes: #458383)
  * debian/uscan-dfsg-clean.sh, debian/watch, debian/rules:


=== debian/control ===
Source: ipython
Section: user/development
Priority: optional
Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), python, python-support (>= 0.4), quilt
Homepage: http://ipython.scipy.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/ipython/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/ipython/trunk/
Standards-Version: 3.8.3
DM-Upload-Allowed: yes

Package: ipython
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Conflicts: python2.3-ipython, python2.4-ipython, python2.5-ipython, ipython-common
Replaces: python2.3-ipython, python2.4-ipython, python2.5-ipython, ipython-common
Suggests: python-profiler, python-numpy, python-matplotlib, libjs-jquery, python-gobject, python-gtk2, python-qt3 | python-qt4
Recommends: python-wxgtk2.8, global, python-openssl (>= 0.6), python (>= 2.5) | python-ctypes, python-foolscap, python-zope.interface, python-twisted-core
Description: enhanced interactive Python shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
XB-Maemo-Display-Name: IPython
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAABIAAAASABGyWs+AAAACXZwQWcAAAAwAAAAMADO
 7oxXAAAJuUlEQVRo3tVZX2xb1Rn/nXNP7r32dWwndtP8oW3CmrYpGv86TSKs
 e2GbKPAwQNuEOiYNiRfe9sIQD6Bp0ngZGht7Qeo0wRjTGGN/EZqENKmI0ilN
 mzZp0tZJnMTGThz/uY6v7evre87ZQ+vUcR3bKWWwTzqK8uV+3/l+5/tzvu+E
 SCnx/0ysGVMIobmu2+26Luec5wgh6Orq0iil3fWApZQCgMU5d4QQ8Hq9oJR+
 /gASicSjFy5c+MPExMRcNBo9bBgGjh49+p1AIPC7arW6+V2lUlmpVCovxmKx
 P8Xj8eKzzz6Lffv2ff4ALMvC3NwcZmZmQAiB1+vF+vo6kskkbNve/I5SujcY
 DJ5gjAVUVf0VIeR/Ho9NAVQqFSwvLyOdTiMYDEJKCcuykEqlYJomhBAAAFVV
 EQqFFF3Xn5dS/hHA6hcCgJQSQogbFuccqVQK+XweAODz+VCpVNDT09Nn2/b3
 pZQ//8IAqK2a8VJKcM6xsrKykk6n5wDAMIwQIeRuxhjjnH9bCPEqgMrnDqAZ
 iBqAarX6nmEYz1BKIYS4M51O/zoQCBxVFOVgMpncMzIyMg8AuXJuv+VYdwpc
 Dbe1wlrOqlj/JpQ03Y8SiiH/0IiqqPdISEACmXKmfO/Ave/fFICa0Y1e0HUd
 4XAYmqbBtu0LxWLxRdu2/+7xeHrPnDlzcHx8fB4ALqxdeORM8swvMqUMBAQm
 ZyYn1931r7Du5luqiooHRh74JqX0NYc78Kk+TEYnP3n3B+/etmMA9afemAeM
 Mfj9fng8HriuC1VV/yOlnJZS3ieEOATgPQBIlVL4cPZDXDp/CVxwlGIl9NzT
 g+0AcMkxGZ3E8swyXO5i78G9WI23rwkdJ3EzHqUUhmGUAJwGcF8kEjlY01Fy
 SliKLOHRwUdfuXjpIk5GT8aC9wS3NUQIgeWV5en4v+KvAAD10QecrNN7UwC2
 C6FGIACgKAoYYxc555iamhrcoqMq8NJzL/3ozfffxNnCWTDftttBQgIMHxsj
 xseEEfQM9Ly2nl1/+JZ5oBEA5xwAQCmFrutL5XIZnHN/vZ5awur9Onq/2gtm
 sJbGaGENoftD0FQNQ7uHkJnLtLN/ewCc8y3GbucBANA0zaxWqxBCeLcoutYW
 UZ1C7VHbGkNVCi2swVANGF0GCEhbmR17oH5tKmGsoigKhBBa2x1vMTVtHRur
 UM0DNa9wzjfXtWTmhBBwzpXP0tiZ1MxP35l957fJQnKztG7b+3ZSheqqEZNS
 wnVdt5UBDwYffO4YO/YbvapvqS4HvAeGH/c//udd6V2PtJKfWp069va5t5/I
 5rPBth6oj/t6L9R7pcZjjGnXALRsI5SUMqwltCdQQX89vxvdh8gSeawQLbQM
 wagZRWQxAl7hm7y2AOoNbeTVKpGu692u68JxnEIrA6bz09NLS0s6jdHb6/l7
 xJ6xqakp2wpZC63kbdeGXbaB6+m3PYD6O6BZFaoBUFUVPp9vr23bqFaryVYG
 WMKaqVarhNp0fz1f49poIpHISF3uuB3vKIRaeaC7uxsej2fMsiw89NBD8Tb7
 RQBAjatjW07Wtsfy+fwqCLKthNeyayjHy5Di+tzUcQg1AqqFz9DQkAJg3DRN
 GIax2MoAM2yucs6ztErvqPFCJBRgG2zI9trzrI85reSTE0mY50xI9zqAlq1E
 fcjU/5RSghCCwcFBjI6O7kkkEmP5fB5CiNlWBghFCNd1LxFCNkNIgdK7YW6E
 qrw6S5TWF9dbL7z1Dfc5lwX8AbMlgO08UIv5kZERDAwMYHR0FIFA4IenTp0K
 FQqFtePHj0fRhoQQs5TS+5R5Jcz38/Qhcqh/fX29R71TvdhONmAETBhbeTtq
 JaSU6OvrY+Pj495QKATDMJ5KJBIvRCIRlEqlOcZYsp0R5oA5oy6oRHK5H0Ba
 cHFHIpEgGMJMO9lm1DIHGpcQArt27XoaQLFcLhfj8firH330EWKxGDjn/ySE
 8HYbCiLmCSESHIcBQDhify6XK9Eu2tZ7zWhHHuCcI51O4/Tp02CMYWNjA4uL
 izBNs8gY+72itO8krEErql5RbVzBYRwGBqyBMdM05427Daet8E4AbPcqkc1m
 kU6nce3mxcbGhlupVE4Eg8FVQtp3j1LKddd110GwHxzEsqy9ZV6eNRqD+1Z4
 oNlNXCwWUa1WIaWE4ziWbdvnGGM/07TOGlGpyCwnPIkcvqRndZ9pmqPsIPvL
 TVmPDspoYwgVCoWkbdvz1z47ryjKLw3DSFFK0clDsfAL7nidK8Qk3xrG8L2p
 VMrLOb9ySwE05kDDBfZXRVGeIYSAEAJd16Fp2pb5oB25uhshhHxXd/X7E5lE
 hfbRS7ccQBPDwTmvjZBQFAWEECiKsgVwRwAG3It0kWrejPdYKpXKer/mXbtZ
 ADvqRusHeUVRUAub+taiExJCzAohEIvFjpi2uUq91PzMPNBsNhBCoFnF6fif
 JUEsOY5TXFpaMriXL3T1dpU/EwDNjK/97dMQGSS267rLlUrlsKu6c59GV9uR
 slkz1+rJpeOTY+yy4zhQB9TztxxAs5t4u5a6cTrrlHwjvgXXdaHv0TsuoQvZ
 hWc+WPzgJ+lSendbAK1OuVlO7NQDQ/1DlHNe9Ax7ljqVmUhMPPX6xOs/Tpmp
 XS0BALghXDoJoZ1QgAfGbNte0Qd1q1OZqBnF3MIcePm6t9tWIUJIx0m8Ew/Y
 tv1lx3E+3gloy7FQtIpbRsqOn9cbJ7JPU4nCdvi2VCrV7z3gnb5pJa0A1EBs
 Fy61NqIdKdrV9jqgB9Bn9CFdSkNIAY/rGY2uRVlXb1ek9i0hBGFvGAEtAG+X
 F94u7w36MvkM7FV7Zx6oB9P4ezO5etJCVzvU3cZuDAeHkSlnAAn0FnqPTKQn
 bP/X/ZsVSCEK7tp9F4b8Q2CUIVfO3XBIiXMJ5M/nOx/qawbd7CXWHezGibMn
 zgT0AArlwpxbcZ8kXQQo4VAmkzH9fv9mD0QJRdgbfiyoB58XUiBTyuwTUmx5
 6Xv56ZefLH6v6Dlw+4HNB7CmADY2NpDL5TbDxXVdJJNJZDKZjpPYtE2sxdbw
 RumNI5pPQ/JcEiRM4NN96vTJ6bscx0kASG/KQuJy5nL45PLJI+VqGcV0EcVk
 8ZN6/aN7Rm+4tZsCqA0tNXJdFysrK2jzdruFMssZxP8RR4zHQAiB5BL9D/ej
 YBeCkbOR3fqgfsoz6Nk8YS44zl48i5W/rUC4ApJLcKf95UiaxbJt25plWd0A
 OIDcNbYGoBuADaBp7Q4Gg2Ds6pkUK0WPXbLr50SXqtQEQHmZB0FRZV625S1V
 CqmLivDVsUSoJ9TytY7spHZ/Eem/yqxtCVlRFF0AAAAldEVYdGNyZWF0ZS1k
 YXRlADIwMTAtMDEtMjdUMjM6NTQ6MDUrMDE6MDAp+UB5AAAAJXRFWHRtb2Rp
 ZnktZGF0ZQAyMDA5LTA3LTEwVDIwOjQ1OjM5KzAyOjAwuPMs8gAAABl0RVh0
 U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# ipython debian/rules file
DEB_PYTHON_SYSTEM = pysupport
PYVERS = $(shell pyversions -vd)

# Make sure the html documentation is not compressed and thus stays usable.
DEB_COMPRESS_EXCLUDE := manual/html/

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# force using of correct version of python during build inside scratchbox
# this is a internal variable from /usr/share/cdbs/1/class/python-distutils.mk, not meant to be used outside
#cdbs_python_compile_version=$(PYVERS)

cdbs_python_current_binary := $(shell pyversions -d)

DEB_PYTHON_INSTALL_ARGS_ALL = --no-compile -O0 --install-layout=deb

install/ipython::
	# remove test suite script
	rm $(CURDIR)/debian/ipython/usr/bin/iptest
	# remove documentation
	rm $(CURDIR)/debian/ipython/usr/share/doc/ipython/manual/html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js \
		$(CURDIR)/debian/ipython/usr/share/doc/ipython/manual/html/_static/

	# add wrapper scripts for all python versions
	set -e ;\
	firstpyver="" ;\
	for pyvers in $(PYVERS); do \
	    if [ "$${firstpyver}" = "" ]; then \
	        install -m 755 debian/ipython.sh $(CURDIR)/debian/ipython/usr/bin/ipython$$pyvers ;\
	        firstpyver="$$pyvers" ;\
	    else \
	        dh_link /usr/bin/ipython$${firstpyver} /usr/bin/ipython$$pyvers ;\
	    fi ;\
	    dh_link /usr/share/man/man1/ipython.1.gz /usr/share/man/man1/ipython$$pyvers.1.gz ;\
	done

	# change permission on scripts
	chmod a-x $(CURDIR)/debian/ipython/usr/share/doc/ipython/examples/*

	install -D -m0644	debian/icon.png	$(CURDIR)/debian/ipython/usr/share/icons/hicolor/scalable/hildon/ipython.png
	install -D -m0644	debian/ipython.desktop	$(CURDIR)/debian/ipython/usr/share/applications/hildon/ipython.desktop
	
	# removing bogus usr/IPython directory
	rm -rf $(CURDIR)/debian/ipython/usr/IPython

binary-fixup/ipython::
	rm -rf $(CURDIR)/debian/ipython/usr/share/doc/ipython/extensions

clean::
	-rm -rf build
	find . -name \*.pyo | xargs rm -rf
	find . -name \*.pyc | xargs rm -rf

python-build-stamp-%:
ifeq (all, $(cdbs_python_module_arch))
	cd $(DEB_SRCDIR) && $(cdbs_python_current_binary) $(DEB_PYTHON_SETUP_CMD) build $(DEB_PYTHON_BUILD_ARGS)
else
	cd $(DEB_SRCDIR) && $(cdbs_python_current_binary) $(DEB_PYTHON_SETUP_CMD) build $(DEB_PYTHON_BUILD_ARGS)
endif # archall detection
	touch $@

# install stage
ifeq (all, $(cdbs_python_module_arch))
common-install-arch common-install-indep:: python-install-py
python-install-py:
	cd $(DEB_SRCDIR) && $(cdbs_python_current_binary) $(DEB_PYTHON_SETUP_CMD) install --root=$(DEB_DESTDIR) $(DEB_PYTHON_INSTALL_ARGS_ALL)
else
common-install-arch common-install-indep:: $(addprefix python-install-, $(cdbs_python_build_versions))
python-install-%:
	cd $(DEB_SRCDIR) && $(cdbs_python_current_binary) $(DEB_PYTHON_SETUP_CMD) install --root=$(DEB_DESTDIR) $(DEB_PYTHON_INSTALL_ARGS_ALL)
endif # archall detection

=== debian/watch ===
version=3
http://ipython.scipy.org/dist/ ipython-(.*)\.tar\.gz

## ipython 0.10.2-1maemo1

=== debian/changelog ===
ipython (0.10.2-1maemo1) stable; urgency=low

  IPython 0.10.2 Maemo1 (21/02/2012) :
   * IPython 0.10.2 (09/04/2011) for Maemo 5 Fremantle;
   * IPython 0.10.2 is optified and takes 6.3 MB after install.


 -- The IPython Development Team <ipython-dev@scipy.org>  Wed, 22 Feb 2012 00:16:24 +0000

=== debian/control ===
Source: ipython
Section: user/development
Priority: extra
Maintainer: The IPython Development Team <ipython-dev@scipy.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: ipython
XB-Maemo-Display-Name: IPython
Architecture: all
Depends: python2.5, python, python-support, libreadline5
Suggests: python-openssl, python-twisted-core, python-zope.interface, python-gobject, python-numpy, python-matplotlib, python-sympy, ipython-doc
Description: IPython - An interactive computing environment for Python. 
 IPython can be used as a replacement for the standard Python shell, or it
 can be used as a complete working environment for scientific computing
 (like Matlab or Mathematica) when paired with the standard Python scientific
 and numerical tools. It supports dynamic object introspections, numbered
 input/output prompts, a macro system, session logging, session restoring,
 complete system shell access, verbose and colored traceback reports,
 auto-parentheses, auto-quoting, and is embeddable in other Python programs.
XB-Maemo-Upgrade-Description: IPython 0.10.2 Maemo1 (21/02/2012)
XSBC-Bugtracker: http://bugs.maemo.org/
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAACXBIWXMAAAsSAAALEgHS3X78AAAP
 DklEQVR4XuVbW2wc13n+zpnLDvfG21IURcqUxdCiLrZlCbGFIDEKt45tFPVLHaRA89CXFAXqIAHc
 oA1QwCjQPrToa4EGRf3gFPBT0AZBUDSxozhyXRuyEFpSLEsUJYrkLpeXvc1t53IufSBXnh3u7uzS
 TpUmHzDYmXP+c8783/zfP2fOzBIpJX6bofaqNE3zrGVZT7mui3K5/J4Q4kNKKfL5vF4oFJ6XUk4J
 IdracM59IcT1MAxvOI7jNJtNTE5OYn5+vssoDxY9CSiXy1++c+fO35dKJbz77rvfFkJ8mEqlMDc3
 Z5w5c+YvGGNf4pzft5dSIgxDkzH2Pdd13ygWix9sbW35Fy5c+P9JgGmauHPnDpaXl7G6uoqJiQno
 ug7P81AqlWBZFsIwbGtDCMlns9k/p5T+ka7rz6VSqSuEkC4jPHj0JMB1Xdy7dw/r6+swTRNjY2OQ
 UiIIAmxvb6NUKiEIgrY2iqIgl8shm82OCiH+mRDyJUqp12WIB46eBEgpwRgDYwxCCAghIKWElBKc
 cwRBAMuy4HkehBAghCCVSiEMQ/i+Tw3DeCQIgueFED8A8GuZbRMJiDodPxZCoNFooFargXMOQgiG
 hoYQhiE455BS5n3f/33O+Y8AtGvl1wSJBHTaWiRwzlEul8Nisdho3U7T6bTKGMuoqqpRShGG4Yth
 GP4VgEqvsR4UaJJBdJ7QiQjbtt+VUh4FMAFgotls/l65XP7varUK3/chhDgUhuHTXQd4wOgZAcB+
 GcT3NU3DxMQEstksACAIghu+73/Ldd3XfN8/p+s6Ll269PRLL730w0KhwADADd3RS/cu/WsggoeF
 3J1H+MzH28tvv1+xK39GU4nXBYV0Ac88/Mw3dUX/k1DsqktKieXasvPFh774zaemn7qS0AWAPiQQ
 zwHxTVEUpNNpjI2NgRAC3/ddy7I+JoT8F2PsnKqqqNfrx8Mw1AEwAAhFqNyu3l6oNCsn614dXO4m
 1CuLV3Y8zYM+rvc6LQBAtVlFIV2YckP3bJM1oSkasloWNzdumo8OP5rBdFIPu0gkoJP2o/uEEKTT
 aeTzeQDA0NAQNE3zPc/7d875t6SUQ0KIWQAGABcAuOBYM9dwa+MWVoorCHkIEQiYH5nIzef6IiDg
 AT4qfYSV4goc30FmKIPpyWmsl9YRzvWfbw8kgdZx9Ld1G1QUBZlMBpTSXxJCPpZSPgHgOGMsC6AK
 AFxyFM0irn9wHfW36x4E4Ac+iEaC9NF07xPagxM4+PDmh2zjhxueCAT0cR3m75o6sxiE3z4974We
 YuvlfOs4ahclwjAMX9O0K3u22ddee+1oe+dA2AixdGlpaumdpamjR45OUYN+VUkrnU5lHxhjCM3w
 7ySXUwCmqEGn1Jx6ldDBZp2JEmg51TrutUVBKRW6rq8wxiClJM1mM79vAAoM54brADByagSO60DL
 a/vMOoEQgtR4qjn82HBTconc0RwK4wVe3ionNW1DXxKI54F4JLTKo3N+VVWlruuliEyy8b6jVytz
 PIOMk0G/EQACaCMaco/kILnE+JFxjGRHsEW2klq2oa8I6CWBaHn8oUfX9Y29CIAQIhfvnyif2BtH
 DBimETfpDgKoGRVqZteFQ8OHkNEz+84hCX0REHc0HgWdCJBSIpVKNVsESCmHegz1wJBIQDwKOh1H
 t2hbRVF8SmmrTarHUA8MiQT0I4HWfjwCCCGCENKyS57e/YpQ82rn1xvrf1CyS+Gjhx59/UjuyFqr
 rq8keBAJAACllAIA5xxCiL5uzgW1cMygxiHbtWt1tb4Ur9eprk3qkyeabtOos/oS01mjUz9R7Dg7
 598rvvfq5bXLzdFzoz+LEjDQPKBX+HciRlEUA7hPQF+LIs/nn//21ye+/v4Xql/4x071h7RDhW/M
 fOONZ51n38mX8092sonDDEzc2L6Ba3euIbTaZ4l9SWDPgcT9aAQQQqCqqgGgtaDSFwHLy8sfMYVh
 bX3tHA7tr+ecDxeLxSOXLl0KdqZ2rtOHkpXlBA4+3v4Y1bUquP/JGiYwYAQkSSC6qaoKXdfzQgiE
 YQghhNlrrBaW1eVfrq6uMrfh5vQ1vX32COCkcnKmVCrl1jfXN8kcqXbqoxMk9k/WgAEIALCPjG4y
 kFLCMAzouj4RhmGLgL5O1qJW2XEcUzChU4dOxetHMDJdrVY1y7HWSZ74nfoYBInx0y0KOpW39gkh
 yGazNJVKHfd9H0EQ8OHh4Y2ksfbQkFJuKIqiIsBsvFJKOVev1xEEwY1OjTtBSAEWMkgm961MJkZA
 VOdx3UeJ4Jzf3yilGB8f11RVPW3bNnzfr7788st9SQB7BFBKtdSN1Jl4ZRiGZ6vVqhBCXO3UuBPs
 wEZ5pYzmehOSx55ZurQBsH8m2HI+SkLUZm8hFKOjo5iYmBgJguAp0zTh+/6alNLtNVYLXtpr1nK1
 m3uR9Hi07gg9UhjxR2Z2dnbcoQtD+26R3eDsONj82SbsJXs3CiJIvAv0CvU4CaqqIpfLYWZmBtls
 9uzOzk7Wtm0wxooAmr3GakESKTnhy3uHbRJQoAwzj43Ytt0kBlnv0LwjHp99/L1X//TVV0Qg2Nzs
 3N1oXSIBnZJdtJwQAk3TkMlkkEqlcPjwYczOzhq6rj9TqVRUx3FQKBSWDcNof4PSA0KI21JKQQiZ
 JjZJyaz0ASCH3JjjOCNu4FaUnNL3c+/C9MLVhT9e6CiZgSXQCv/oVR8bG8P8/DxOnz6Ns2fP6jMz
 M/Oe531tbW0NjuPI55577n8OHz7c10wQACSVS1JKX1GUCeWmMtkqP4VT0/V6fTRQgjXjhJE4A+wH
 iREQT3rxBJjNZnH+/HksLCxA13Wk0+mvMMb++tatW0fW1tZg23ZDSvnzXuPEUX24ujO0PrRCKT0p
 pDgNYBUAOOfnNzY24Pt+Xyu+/SDxWaBbtm+VjY2NPZHNZt+WUgrOORqNRqFUKk1fv34dtVoNYRj+
 XFGUetI4MXhCiBKl9CSAUwD+EwCCMPicaZpcSHGzd/P+kRgBnbJ9dB9Avl6vP6koCiil8DwPq6ur
 KJfLcBwHAN5SFKVv/QOAUIXvp/0SqRNgB8fAQXM0pxGPTNm27WvTWjGpj36RSEBS5nddF3fv3kW5
 vJuTHMfB5uYmtre34bpujRDyA03T+tY/AAhdhM3h5rJRNYB1zIFBG9fGc9SlhxuNhmU8bfzfERB3
 PvrLOYfjOLAsq83e8zzU63XGOf+XdDp9T1UTlbYPnPNFIQQIIcchoQEoWJaVtWyrYhDj/uPsp0Vf
 BMRzQPTX8zxElr0QBAGazSY45z+hlP5tOp0eeJ0OAKSUi3sSm5O/kDn5pHyo0WiMiRGxOLQw9Jnc
 AYADEBAno9lsotlsRu23GGM/BvC6YRiWoiiQcvBPA8KZ0NRua2VCyGEZyOPH5LFjK5UVnQt+j6hk
 IEn1Ql8ERJ2PS8L3/arneVcAtB60S5TS76uq+pNUKoXWmuCg4GPc55wXARwmhBwfF+PHFuuLlAt+
 J6ntIEgUZ9zpOCmMsWuEkBcBeADuzwz33hHebzMoJGTIwVcIIecVKPMsZPOmaYZQcS2p7SDoSUD8
 qke139pvfRaj67svNPdWgtAK/Zb9wNARBo8E18hV8ocz7sw5f8c/aZrm9siLI59ZAgQGnAq3nI6S
 AACqqkLTNGiaBlVV0VoJjrY9CLjg1/fGPLeysnLYsqwKPuMvTQaSQFwK3cK7VRb/HRRSymXOOVzX
 HbMsS5MZWVZHVTup3SBITILxrRMJ0Wjo1s9BIIfkXcGFb5pmyjRNkFFyVy/ofa0r9IuBJRDVf2sB
 JFrebTsIlMeVBuf8nmVZsG0bnPPP7BmghcQ1wegVj5IRj4Zezh80AgBASnmDcw7f90NIXE6yHxSJ
 ETCIDLrZfxoCUqnULQCSMVbJn8tvJ9kPir5yQFwCvZzu1s9BYUwZ6807Tck5r6SmUv0urLbBCZ2H
 q83qE/Vmnc8Mz7wzaozev5MkRkB8BSge2lEyfhUSyD+Wr6iqKgQVZSiwkuw7oWyVn/3pnZ9+/7sf
 fPeN2zu3F6J1iQR0CvW4c72c/7QEnPJPHZVSKpmTmWvGEeNAt8CG38DVrau4snQFgdm+NDHQPKBb
 2LfKu+HTEKDr+udrtRqROXkrybYb3NDF7cpt1Et1iKD9PPvKAS0HujndS/+t+oMiCIJ53/c5lfR2
 km03CCkQ8AA85PvOJTEC4g53iwIh9n8fEO3jIDC4kbFtezYMQyc7km1bz/+s0HcEdJJAJyK69ZME
 SigIIW22s/bso+VyOR8EwUfjT4/vW1ilhHbcj0NiL1o7qDSRgLjD8cQXlUKvfvaBAGr2k+FPjJ8A
 EwzbzjaYYK12pzY3N8EYWwHgRJtrioaj+aMYNoYB7H48bfomCPZHoR3Y2Li7AXfdHezVGNCu715X
 up+rHAUBgTHxyWdxc2Nz2LA3sOPsAAAUoSiFRuH85epl5E7nPlbzalv6TqtpnDl0BsPGMIQUyOk5
 rNRX0Alu1cXO+zvwNr2DEyClvB+i/YR9vI99IEA6n8ZiefFrOT0HXdHBGCtzxt8EBSioqjbVh+v1
 OrRpbYXqtO3TDk3RUEgXnsimsqe54DAUA5TQMdnhnzlHR44uvfj5F/+NuzyYLEy2zSZ7EsAYQxiG
 bRKglGJvbt73PX6fjQQYZ0jpKby++Pr3Zkdn4TMf5Z3ym4EbvKlmVZCQ6I1GY7Zer8sxObaMGBSi
 AMBX3cD9y4AHcIiDulMHD7kZ5+DCiQsXL/zNhYvxPoAEAiqVCra2ttoc4JzDsiwUi0XY9u68pBUd
 3RAngEuOe5V7qCxX8FbtLag5FcIXqH1QQ/qhNNSsisxSZvLixYunhBCeJPIX8T597uNy8TLu1u7C
 DmxILuFtejBXTQjW/9NnTwJc192X4IQQKJfLbVc/nr2TwEKGjfc2UFusgSjkk/YCSB3a/Z7yxo0b
 J7bWtyClXJ788uS+KbATOFj8cBHFHxfBg111SC4hQgEZ9H8uPQl44YUXLhYKhVf2DqMvOD0A/wTg
 PwCsY++fIN3w2GOPtR0PDw0733npO//gPe2NRcsJJavp2TT0MR3WiHWz+ULzFQDbE78z4RM19g0i
 oQgawY/sY/aWFG0OB2cWzvS9ckwGuXK/iUhcEPlNx289Af8L+AU6TrSMsIoAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/ipython" install
	mkdir -p "$(CURDIR)/debian/ipython"

	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/tools/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/tools/__init__.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/tools/__init__.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/tools/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/tools/growl.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/tools/growl.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/tools/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/tools/utils.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/tools/utils.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/cocoa/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/cocoa/tests/__init__.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/cocoa/tests/__init__.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/cocoa/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/cocoa/tests/test_cocoa_frontend.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/cocoa/tests/test_cocoa_frontend.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/process/__init__.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/__init__.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/process/killableprocess.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/killableprocess.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/process/pipedprocess.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/pipedprocess.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/process/winprocess.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/process/winprocess.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/tests/__init__.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/__init__.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/tests/test_asyncfrontendbase.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/test_asyncfrontendbase.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/tests/test_frontendbase.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/test_frontendbase.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/tests/test_linefrontend.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/test_linefrontend.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/tests/test_prefilterfrontend.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/test_prefilterfrontend.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/frontend/tests/test_process.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/frontend/tests/test_process.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/gui/wx/__init__.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/__init__.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/gui/wx/ipshell_nonblocking.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/ipshell_nonblocking.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/gui/wx/ipython_history.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/ipython_history.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/gui/wx/ipython_view.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/ipython_view.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/gui/wx/thread_ex.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/thread_ex.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/gui/wx/wxIPython.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/gui/wx/wxIPython.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/config/tests/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/config/tests/__init__.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/config/tests/__init__.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/ipython.desktop" "$(CURDIR)/debian/ipython//usr/share/applications/hildon/ipython.desktop"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/scripts/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/kernel/scripts/__init__.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/scripts/__init__.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/scripts/"
	cp -a "src/usr/lib/python2.5/site-packages/IPython/kernel/scripts/ipcluster.py" "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/scripts/ipcluster.py"
	mkdir -p "$(CURDIR)/debian/ipython//usr/lib/python2.5/site-packages/IPython/kernel/scripts/"
